' IndexToBrushConverter.cs by Charles Petzold, June 2009

Imports Microsoft.VisualBasic
Imports System
Imports System.Windows.Data
Imports System.Windows.Media
Imports System.Globalization

Namespace ChartingLib
	Public Class IndexToBrushConverter
		Implements IValueConverter
		Private privateBrushes As Brush()
		Public Property Brushes() As Brush()
			Get
				Return privateBrushes
			End Get
			Set(ByVal value As Brush())
				privateBrushes = value
			End Set
		End Property

		Public Function Convert(ByVal value As Object, ByVal targetType As Type, ByVal parameter As Object, ByVal culture As CultureInfo) As Object Implements IValueConverter.Convert
			If Brushes.Length = 0 Then
				Return Nothing
			End If

			Return Brushes(CInt(Fix(value)) Mod Brushes.Length)
		End Function

		Public Function ConvertBack(ByVal value As Object, ByVal targetType As Type, ByVal parameter As Object, ByVal culture As CultureInfo) As Object Implements IValueConverter.ConvertBack
			Return Nothing
		End Function
	End Class
End Namespace
