' Doodad.cs by Charles Petzold, June 2009

Imports Microsoft.VisualBasic
Imports System
Imports System.ComponentModel

Namespace ChartingLib
	Public Class Doodad
		Implements INotifyPropertyChanged
		Private modelName_Renamed As String
		Private baseCost_Renamed, addlCost, extraCost_Renamed As Double
		Private productType_Renamed As Integer

		Public Event PropertyChanged As PropertyChangedEventHandler Implements INotifyPropertyChanged.PropertyChanged

		Public Property ModelName() As String
			Set(ByVal value As String)
				If value <> modelName_Renamed Then
					modelName_Renamed = value
					OnPropertyChanged("ModelName")
				End If
			End Set
			Get
				Return modelName_Renamed
			End Get
		End Property

		Public Property ProductType() As Integer
			Set(ByVal value As Integer)
				If value <> productType_Renamed Then
					productType_Renamed = value
					OnPropertyChanged("ProductType")
				End If
			End Set
			Get
				Return productType_Renamed
			End Get
		End Property

		Public Property BaseCost() As Double
			Set(ByVal value As Double)
				If value <> baseCost_Renamed Then
					baseCost_Renamed = value
					OnPropertyChanged("BaseCost")
				End If
			End Set
			Get
				Return baseCost_Renamed
			End Get
		End Property

		Public Property AdditionalCost() As Double
			Set(ByVal value As Double)
				If value <> addlCost Then
					addlCost = value
					OnPropertyChanged("AdditionalCost")
				End If
			End Set
			Get
				Return addlCost
			End Get
		End Property

		Public Property ExtraCost() As Double
			Set(ByVal value As Double)
				If value <> extraCost_Renamed Then
					extraCost_Renamed = value
					OnPropertyChanged("ExtraCost")
				End If
			End Set
			Get
				Return extraCost_Renamed
			End Get
		End Property

		Protected Overridable Sub OnPropertyChanged(ByVal propertyName As String)
			RaiseEvent PropertyChanged(Me, New PropertyChangedEventArgs(propertyName))
		End Sub
	End Class
End Namespace
